package routers

import (
	"FollowUp_Notice/controllers"
	beego "github.com/beego/beego/v2/server/web"
)

func init() {

	illness := beego.NewNamespace("/Patient",
		beego.NSRouter("/List", &controllers.PatientController{}, "*:Patient_List"),                           // 患者列表
		beego.NSRouter("/Add", &controllers.PatientController{}, "*:Patient_Add"),                             // 获取患者
		beego.NSRouter("/Edit", &controllers.PatientController{}, "*:Patient_Edit"),                           // 添加患者
		beego.NSRouter("/Del", &controllers.PatientController{}, "*:Patient_Del"),                             // 删除患者
		beego.NSRouter("/Import", &controllers.PatientController{}, "*:Patient_Import"),                       // 删除患者
		beego.NSRouter("/ExportTemplate", &controllers.PatientController{}, "*:Patient_ExportTemplate"),       // 删除患者
		beego.NSRouter("/Satisfaction_PDF", &controllers.PatientController{}, "*:VoiceCall_Satisfaction_PDF"), // 删除患者
		beego.NSRouter("/Send_Satisfaction", &controllers.PatientController{}, "*:Patient_Send_Satisfaction"), // 删除患者
	)

	beego.AddNamespace(illness)
}
